<?php

namespace ModulesGarden\Servers\ProxmoxVps\App\Http\Client;

use ModulesGarden\ProxmoxAddon\App\Services\Vps\ProductService;
use ModulesGarden\Servers\ProxmoxVps\App\Helpers\AppParams;
use ModulesGarden\Servers\ProxmoxVps\App\UI\Backup\Pages\BackupDataTable;
use ModulesGarden\Servers\ProxmoxVps\Core\Helper;
use ModulesGarden\Servers\ProxmoxVps\Core\Http\AbstractClientController;

class Backup extends AbstractClientController
{
    use ProductService;

    public function index()
    {
        (new AppParams())->initFromWhmcsParams();
        $this->acl()->backup();
        Helper\sl("sidebar")->getSidebar("managementProxmoxVps")->getChild("backup")->setActive(true);
        return Helper\view()->addElement(BackupDataTable::class);
    }

}
